<?php
class Conferencia{

			// Classe conferencia
			// clConferencia.php
				
			private $_aLlista;
			private $ConferenciaID;
			private $_aAutor;
			
			/*			Mtodes
			 *			Conferencia() // Constructor
			 *			__getID()
			 * 			__get($nv)
			 * 			__getCognoms()
			 *			__set($nv,$val)			 			
			 *			afegirConferencia() 
			 *			esborrarConferencia()
			 *			imprimirConferencia()
			 *			actualitzarConferencia()
			 *			llegirConferencia()
			 */	
			 
			 /*
			 	 			  Constructor. 
							  Parametres: Identificador de Conferencia,
							  per defecte = 0.
			 */
			 
			 function Conferencia($iConferenciaID =0){

			 					$this->_aLlista = array();
								$this->_bDirty = False;
								
								if($iConferenciaID <> 0){
															 $this->ConferenciaID = $iConferenciaID;
															 $this->cargarConferencia();
								}
			 }

			 /*
			 	 				__getID(). Obt l'identificador de la classe.
			 */
			 			 
			 function __getID(){
			 					return $this->ConferenciaID;
			 }						
			 
			 /*
			 	 				__get($nv). Obte el valor de la llista amb argument $nv.
			 */			  
						 
			 function __get($nv){
			 					if(isset($this->_aLlista[$nv])){
											return $this->_aLlista[$nv];
								}
								else{
										 return false;
								}
			 }			 

			 /*
			 	 				__getCognoms(). Obt la llista de cognoms dels autors.
			 */
			 
			 function __getCognom(){
			 					return $this->_aAutor['cognom1'];
			 }
			 
			 /*
			 	 			 __set($nv,$val). Posa el valor $val a la posici $nv
			 */			 
			 
			 function	 __set($nv,$val){
			 					 $this->_aLlista[$nv] = $val;
								 return True;
			 }
			 
			 /*
			 	 			 afegirConferencia(). Introdueix el Conferencia a la base de dades
			 */
			 			 
			 function afegirConferencia(){
			 
			 					$this->UltimaMod = date("Y-m-d H:i:s");
								$this->DataCreacio = date("Y-m-d H:i:s");
								
								$sql = "INSERT INTO conferencia ";
								$sql .= "(titol, event, lloc, any, idpersona, web, dc, du ) Values ";
  							$sql .= "(\"".$this->_aLlista['titol']."\",\"";
								$sql .= "".$this->_aLlista['event']."\",\"".$this->_aLlista['lloc']."\",\"";
								$sql .= "".$this->_aLlista['any']."\",\"".$this->_aLlista['autor']."\",\"";
								$sql .= "".$this->_aLlista['web']."\",\"".$this->DataCreacio."\",\"".$this->UltimaMod."\")";
								$this->Idconferencia = realitzarConsulta($sql,"ID");

								return True;
										 	
			 }

			 /*
			 	 			 esborrarConferencia(). Esborra un Conferencia de la base de dades			
			 */
			 			 
			 function esborrarConferencia(){
			 
			 					$sql = "DELETE FROM conferencia WHERE idconferencia = ".$this->ConferenciaID;
								realitzarConsulta($sql) or die("falla delete conferencia");
											 
			 }
			 
			 /*
			 	 			 imprimirConferencia(). Imprimeix la conferencia en el format de la web 
			 */			 
			 
			 function imprimirConferencia(){
								 
							Global $con;
							
							
							if($this->__get('web') == NULL){					
    							$k1 = "<p align = 'justify'><em> ".$this->__get('titol')."</em>. ";
    							$k1 .= $this->__get('event').". ".$this->__get('lloc').", ";
    							$k1 .= $this->__get('any').".</p>";
    					}else{
    							$k1 = "<p align = 'justify'><a href=\"".$this->__get('web')."\"><em> ".$this->__get('titol')."</em>. ";
    							$k1 .= $this->__get('event').". ".$this->__get('lloc').", ";
    							$k1 .= $this->__get('any').".</a></p>";
							}
							
							return $k1;
				
				}
				
			 /*
			 	 			 actualitzarConferencia(). Actualitza un Conferencia de la base de dades			
			 */				
	 
	   	 function actualitzarConferencia(){
			 					$this->UltimaMod = date("Y-m-d H:i:s");
								
								Global $con;

								$sql = "UPDATE conferencia SET ";
								$sql .= "titol = \"".$this->_aLlista['titol']."\", event = \"".$this->_aLlista['event']."\", ";
								$sql .= "lloc = \"".$this->_aLlista['lloc']."\", any = ".$this->_aLlista['any'].", ";
								$sql .= "du = \"".$this->UltimaMod."\", web = \"".$this->__get('web')."\" ";;
								$sql .= "Where idconferencia = ".$this->ConferenciaID;
								realitzarConsulta($sql) or die("falla update conferencia");

								return True;
										 	
			 }
			 
			/*
			 	 			 cargarConferencia(). Privada. Carrega els valor del Conferencia amb id a la llista de paramtres.
			 */
			 			 
			 private function cargarConferencia(){
			 				 
							 Global $con;
			 				 
							 $sql = "select * from conferencia where idconferencia = ".$this->ConferenciaID ;
							 $rst = realitzarConsulta($sql) or die("falla autor de conferencia"); 
//							 $this->_aLlista = $rst->fetch_assoc();	
							 
							 $this->_aLlista =  mysql_fetch_assoc($rst);
							 
							 $sql1 = "select cognom1 from persones where idpersona = ".$this->_aLlista['idpersona'];
							 $rst1 = realitzarConsulta($sql1) or die("falla autor de conferencia");
//							 $this->_aAutor = $rst1->fetch_assoc();

							 $this->_aAutor = mysql_fetch_assoc($rst1);				
							 
							 return true; 
			 }
}	
?>