<?php
class Taula{

			// Classe Taula
			// clTaula.php
				
			private $_aLlista;
			private $TaulaID;
			private $_aTitol;
			private $_inumElements;
			
			/*			Mtodes
			 *			Taula() // Constructor
			 * 			__get($nv)
			 * 			__getLlista()
 			 *			__getID()
			 *			__getNumEle()
			 *			__set($nv,$val)			 			
			 *			afegirTaula() 
			 *			esborrarTaula()
			 *			imprimirTaula()
			 *			actualitzarTaula()
			 *			llegirTaula()
			 */
			 			 

			 /*
			 	 			  Constructor. 
							  Parametres: Identificador de Taula,
							  per defecte = 0.
			 */
			 			 
			 function Taula($iTaulaID =0){

			 					$this->_aLlista = array();
								$this->_aTitol = array();
								
								if($iTaulaID <> 0){
															 $this->TaulaID = $iTaulaID;
															 $this->cargarTaula();
								}
			 }

			 /*
			 	 				__get($nv). Obte el valor de la llista amb argument $nv.
			 */			 
			 
			 function __get($nv){
			 					if(isset($this->_aLlista[$nv])){
											return $this->_aLlista[$nv];
								}
								else{
										 return false;
								}
			 }
			 
			 function __getLlista(){
			 					return $this->_aLlista;
			 }
			 

			 /*
			 	 				__getID(). Obt l'identificador de la classe.
			 */
			 			 
			 function __getID(){
			 					return $this->TaulaID;
			 }
			 
			 function __getNumEle(){
			 					return $this->_inumElements;
			 }
			 
			 function __getTitol(){
			 					return $this->_aTitol['titoltaula'];
			 }
			 
			 function __setTitol($titol){
			 					$this->_aTitol['titoltaula'] = $titol;
								return True;
			 }
			 

			 /*
			 	 			 __set($nv,$val). Posa el valor $val a la posici $nv
			 */
			 			 
			 function	 __set($nv,$val){
			 					 $this->_aLlista[$nv] = $val;
								 return True;
			 }


			 /*
			 	 			 afegirTaula(). Introdueix el Taula a la base de dades
			 */
			 			 
			 function afegirTaula(){
			 							
								$sql = "INSERT INTO taula ";
								$sql .= "(titoltaula, idpersona) Values ";
  							$sql .= "(\"".$this->_aLlista['titoltaula']."\", \"";
								$sql .= "".$this->_aLlista['idpersona']."\")";
								
								$this->TaulaID = realitzarConsulta($sql,"ID");

								return True;
										 	
			 }


			 /*
			 	 			 esborrarTaula(). Esborra un Taula de la base de dades			
			 */			 
			 
			 function esborrarTaula(){
			 
			 					$sql = "DELETE FROM taula WHERE idTaula = ".$this->TaulaID;
								realitzarConsulta($sql) or die("falla delete Taula");
								
								$sql = "DELETE FROM elementstaula WHERE idTaula = ".$this->TaulaID;
								realitzarConsulta($sql) or die("falla delete Elements Taula");
											 
			 }

			 /*
			 	 			 imprimirTaula(). Imprimeix la Taula en el format de la web 
			 */			 
			 
			 function imprimirTaula(){
								 
							Global $con;
							
							echo "<h4>".$this->_aTitol['titoltaula']."</h4>";
							echo "<ol>";

  					  foreach($this->_aLlista as $el => $var1){
  					 									echo "<p><li>".$var1."</li></p>";
  					  }
							 
							echo "</ol>";
											
							return $k1;
				
				}


			 /*
			 	 			 actualitzarTaula(). Actualitza un Taula de la base de dades			
			 */				
	 
	   	 function actualitzarTaula(){
								
								Global $con;
								
								$sql = "UPDATE taula SET ";
								$sql .= "titoltaula = \"".$this->_aTitol['titoltaula']."\" ";
								$sql .= "Where idTaula = ".$this->TaulaID;
								realitzarConsulta($sql) or die("falla update Taula");

								
								foreach($this->_aLlista as $el => $var){
														if($var){
      														$sql = "UPDATE elementstaula SET ";
      														$sql .= "element = \"".$var."\" ";
      														$sql .= "where idElement = ".$el;
      														realitzarConsulta($sql) or die("falla update Element");
														}else{
																	$sql = "DELETE FROM elementstaula ";
																	$sql .= "WHERE idelement = ".$el;
																	realitzarConsulta($sql) or die("falla delete Element");
														}
								}
											
								return True;
										 	
			 }
			 
			 /*
			 	 			insertarElement($char). Es comprova que l'element no sigui nul, i l'afegeix a la taula
			 */
			 
			 function insertarElement($element){
			 					
								Global $con;
								if($element){
    								$sql = "INSERT INTO elementstaula ";
    								$sql .= "(idtaula,element) VALUES ";
    								$sql .= "(\"".$this->TaulaID."\",\"".$element."\")";
										realitzarConsulta($sql) or die("falla inserir element ".$element);
								}
								
								return TRUE;
								
			}

			/*
			 	 			 cargarTaula(). Privada. Carrega els valor del Taula amb id a la llista de paramtres.
			 */			
 
			function cargarTaula(){
			 				 
							 Global $con;

							 $sql1 = "SELECT idpersona, titoltaula FROM taula Where idtaula = ".$this->TaulaID;
							 $rst = realitzarConsulta($sql1) or die("falla titol de la Taula");
//							 $this->_aTitol = $rst->fetch_assoc();
							 $this->_aTitol = mysql_fetch_assoc($rst);
							 											 
							 $sql2 = "SELECT idelement, element FROM elementstaula WHERE idTaula =".$this->TaulaID." order by idelement DESC";
							 $rst2 = realitzarConsulta($sql2) or die("falla elements de la Taula"); 
							 						 
//    					 while($fila2 = $rst2->fetch_assoc()){
							 while($fila2 = mysql_fetch_assoc($rst2)){
    												$this->_aLlista[$fila2['idelement']] = $fila2['element'];
    					 }							
    					 $_inumElements = $k1;							 										 											 
						 
							 return true; 
			 }
}	
?>