<?php
require_once("/www/wub/tn/bib/clases/clPersona.php");

class Article{
			// Classe article
			// clArticle.php
			
			/* 
			 * Atributs	
			 * _aLlista : Llista de parmetres	
			 * _aAutors : Llista d'autors
			 * _inumAutors: Nombre d'autors 	
			 * ArticleID : Identificador article	
			 */
			 	
			private $_aLlista;
			private $_aAutors;
			private $_inumAutors;
			private $ArticleID;
			
			/*			Mtodes
			 *			Article() // Constructor
			 *			__getID()
			 * 			__get($nv)
			 * 			__getCognoms()
			 *			__set($nv,$val)			 			
			 *			afegirArticle() 
			 *			esborrarArticle()
			 *			imprimirArticle()
			 *			actualitzarArticle()
			 *			llegirArticle()
			 */
			 
			 /*
			 	 			 Constructor. 
							 						Parametres: Identificador d'article,
																			per defecte = 0.
			 */
			 
			 function Article($iArticleID=0){

			 					$this->_aLlista = array();
								$this->_aAutors = array();
								
								if($iArticleID <> 0){
															 $this->ArticleID = $iArticleID;
															 $this->cargarArticle();
								}
								
			 }
			 
			 /*
			 	 				__getID(). Obt l'identificador de la classe.
			 */
			 
			 function __getID(){
			 					return $this->ArticleID;
			 }
			 
			 /*
			 	 				__get($nv). Obte el valor de la llista amb argument $nv.
			 */
			 
			 function __get($nv){
			 					if(isset($this->_aLlista[$nv])){
											return $this->_aLlista[$nv];
								}
								else{
										 return false;
								}
			 }

			 /*
			 	 				__getCognoms(). Obt la llista de cognoms dels autors.
			 */
			 
			 function __getCognoms(){
			 
			 					$aux = array();
								
							  for($i=1;$i<=$this->_inumAutors;$i++){
													  $x = $this->_aAutors[$i];
      											$oPer = new Persona($x);	
      											$aux[$i] = $oPer->__get('cognom1');		  
 								};
								return $aux;			
			 }			 
			 
			 /*
			 	 			 __set($nv,$val). Posa el valor $val a la posici $nv
			 */
			 
			 function	 __set($nv,$val){
			 					 $this->_aLlista[$nv] = $val;
								 return True;
			 }
			 
			 /*
			 	 			 afegirArticle(). Introdueix l'article a la base de dades
			 */
			 
			 function afegirArticle(){
			 
			 					$this->UltimaMod = date("Y-m-d H:i:s");
								$this->DataCreacio = date("Y-m-d H:i:s");
								
								$sql = "INSERT INTO article ";
								$sql .= "(titol, pagincial, pagfinal, any, revista, nacional, volumen, web, dc, du) Values ";
  							$sql .= "(\"".$this->_aLlista['titol']."\",\"";
								$sql .= "".$this->_aLlista['pagini']."\",\"".$this->_aLlista['pagfinal']."\",\"";
								$sql .= "".$this->_aLlista['any']."\",\"".$this->_aLlista['revista']."\",\"";
								$sql .= "".$this->_aLlista['nacional']."\",\"".$this->_aLlista['volum']."\",";
								$sql .= "\"".$this->_aLlista['web']."\", "."\"".$this->DataCreacio."\", \"".$this->UltimaMod."\")";
								$this->ArticleID = realitzarConsulta($sql,"ID");

								return True;
										 	
			 }
			 
			 /*
			 	 				esborrarArticle(). Esborra un article de la base de dades			
			 */
			 
			 function esborrarArticle(){
			 
			 					$sql = "DELETE FROM Article WHERE idarticle = ".$this->ArticleID;
								realitzarConsulta($sql) or die("falla delete Article");		
									 
			 }
			 
			 /*
			 	 					imprimirArticle(). Imprimeix l'article en el format de la web 
			 */
			 
			 function imprimirArticle(){
								 
							Global $con;
							$aux = 0;
							
							$k1 ="<p align='justify'>";
								
							for($i=1;$i<$this->_inumAutors;$i++){
													  $x = $this->_aAutors[$i];
      											$oPer = new Persona($x);	
      											$k1 .= $oPer->imprimirPersona_format2().".; ";		  
 							};

					    $x = $this->_aAutors[$this->_inumAutors];
							$oPer = new Persona($x);	
							$k1 .= $oPer->imprimirPersona_format2().".: ";					
																
							if($this->__get('web') == NULL){
																										
										$k1 .= $this->__get('titol').". <em>".$this->__get('revista').".</em> ";
										$k1 .= $this->__get('volumen')." (".$this->__get('any').") ";
										if($this->__get('pagincial') != 0){
										  $k1 .= $this->__get('pagincial')."-".$this->__get('pagfinal');
										}
										$k1 .= ".</p>";
										
							}else{
							
										$k1 .= "<a href=".$this->__get('web').">";		
													
										$k1 .= $this->__get('titol').". <em>".$this->__get('revista').".</em> ";
										$k1 .= $this->__get('volumen')." (".$this->__get('any').") ";
										if($this->__get('pagincial') != 0){
										  $k1 .= $this->__get('pagincial')."-".$this->__get('pagfinal');
										}
										$k1 .= ".</p></a>";
							}
																	
							return $k1;
				
				}
				
			 /*
			 	 				actualitzarArticle(). Actualitza un article de la base de dades			
			 */				
			 			 
			 function actualitzarArticle(){
			 
			 					Global $con;
								$this->UltimaMod = date("Y-m-d H:i:s");
								
								$sql =  "UPDATE article SET ";
  							$sql .= "titol = \"".$this->_aLlista['titol']."\", ";
								$sql .= "pagincial = ".$this->_aLlista['pagini'].", pagfinal = ".$this->_aLlista['pagfinal'].", ";
								$sql .= "any = ".$this->_aLlista['any'].", revista = \"".$this->_aLlista['revista']."\",";
								$sql .= " du = \"".$this->UltimaMod."\"";
								$sql .= ", volumen = \"".$this->_aLlista['volum']."\", web = \"".$this->_aLlista['web']."\"";
								$sql .= " where idarticle = ".$this->ArticleID ;
								
								realitzarConsulta($sql) or die("falla update");

								return True;
										 	
			 }
			 		  
			 /*
			 	 			  cargarArticle(). Privada. Carrega els valor de l'article amb id a la llista de paramtres.
			 */			
			 
			 private function cargarArticle(){
			
							 Global $con;
							 
							 $sql2  =  "select persones.idpersona";
							 $sql2 .= " from persones, article, personaarticle";
               $sql2 .= " where article.idarticle = personaarticle.idarticle";
               $sql2 .= " and persones.idpersona = personaarticle.idpersona";
					     $sql2 .= " and article.idarticle = ".$this->ArticleID ;
							 $sql2 .= " order by cognom1 asc";							 			 			
							 						 
 							 $rst2 = realitzarConsulta($sql2) or die("falla consulta funcio llegirArticle Select Autors");	
							
							 $k1 = 0;
//							 while($fila2 = $rst2->fetch_assoc()){
							 while($fila2 = mysql_fetch_assoc($rst2)){
							 							$k1++;							 							
														foreach($fila2 as $col2){
																					 $this->_aAutors[$k1] = $col2;
														}
							 }							
							 $this->_inumAutors = $k1;	
							
							 $sql = "select * from article where idarticle = ".$this->ArticleID ;							 
							 $rst = realitzarConsulta($sql) or die("falla consulta funcio llegirArticle Select Article");							 
//							 $this->_aLlista = $rst->fetch_assoc();
							 $this->_aLlista = mysql_fetch_assoc($rst);					
							 
			}
}
?>