<?php
require_once("/www/wub/tn/bib/clases/clPersona.php");

class Capitol{

			// Classe Capitol
			// clCapitol.php

			/* 
			 * Atributs	
			 * _aLlista : Llista de parmetres	
			 * _aAutors : Llista d'autors
			 * _inumAutors: Nombre d'autors 	
			 * CapID : Identificador article	
			 */
				
			private $_aLlista;
			private $_aAutors;
			private $_inumAutors;			
			private $CapId;
			
			
			/*			Mtodes
			 *			Capitol() // Constructor
			 *			__getID()
			 * 			__get($nv)
			 * 			__getCognoms()
			 *			__set($nv,$val)			 			
			 *			afegirCapitol() 
			 *			esborrarCapitol()
			 *			imprimirCapitol()
			 *			actualitzarCapitol()
			 *			llegirCapitol()
			 */
			 
			 /*
			 	 			 Constructor. 
							 						Parametres: Identificador de capitol,
																			per defecte = 0.
			 */
			 
			 function Capitol($icap=0){
			 					
								$this->_aCAutors = array();
								$this->_aNAutors = array();
			 					$this->_aLlista = array();
								$this->_bDirty = False;
								
								if($icap <> 0){
												 $this->CapId = $icap;
												 $this->cargarCapitol();
								}
			 }

			 /*
			 	 				__getID(). Obt l'identificador de la classe.
			 */
			 			 
			 function __getID(){
			 					return $this->CapId;
			 }

			 /*
			 	 				__get($nv). Obte el valor de la llista amb argument $nv.
			 */
			 			 
			 function __get($nv){
			 					if(isset($this->_aLlista[$nv])){
											return $this->_aLlista[$nv];
								}
								else{
										 return false;
								}
			 }

 			 /*
			 	 				__getCognoms(). Obt la llista de cognoms dels autors.
			 */
			 
			 function __getCognoms(){
			 
			 					$aux = array();
								
							  for($i=1;$i<=$this->_inumAutors;$i++){
													  $x = $this->_aAutors[$i];
      											$oPer = new Persona($x);	
      											$aux[$i] = $oPer->__get('cognom1');		  
 								};
								return $aux;
								
			 }			 

			 /*
			 	 			 __set($nv,$val). Posa el valor $val a la posici $nv
			 */			 
			 
			 function	 __set($nv,$val){
			 					 $this->_aLlista[$nv] = $val;
								 return True;
			 }
			 
			 /*
			 	 			 afegirCapitol(). Introdueix el captol a la base de dades
			 */
			 			 
			 function afegirCapitol(){
			 					$this->UltimaMod = date("Y-m-d H:i:s");
								$this->DataCreacio = date("Y-m-d H:i:s");
								
								$sql = "INSERT INTO capitol ";
								$sql .= "(titolcapitol, titolllibre, editorial, volum, lloc, any, ISBN, pagincial, pagfinal, web, dc, du) Values ";
  							$sql .= "(\"".$this->_aLlista['titolcapitol']."\",\"".$this->_aLlista['titolllibre']."\",\"";
								$sql .= "".$this->_aLlista['editorial']."\",\"".$this->_aLlista['volum']."\",\"";
								$sql .= "".$this->_aLlista['lloc']."\",\"".$this->_aLlista['any']."\",\"";
								$sql .= "".$this->_aLlista['ISBN']."\",\"".$this->_aLlista['pagincial']."\",\"".$this->_aLlista['pagfinal']."\", \"";
								$sql .= "".$this->_aLlista['web']."\",\"".$this->UltimaMod."\", \"".$this->DataCreacio."\")";
								$this->CapId = realitzarConsulta($sql,"ID");

								return True;
										 	
			 }
			 
			 /*
			 	 			 esborrarCapitol(). S'esborra el captol a la base de dades
			 */			 
			 
			 function esborrarCapitol(){
			 
			 					$sql = "DELETE FROM capitol Where idcapitol = ".$this->CapId;
								realitzarConsulta($sql) or die("falla delete Capitol");
			 
			 }
			 
			 /*
			 	 					imprimirCapitol(). Imprimeix l'article en el format de la web 
			 */			 
			 
			 function imprimirCapitol(){
								 
							Global $con;
							$aux = 0;

							$k1 ="<p align = 'justify'>";
							
							for($i=1;$i<$this->_inumAutors;$i++){
													  $x = $this->_aAutors[$i];
      											$oPer = new Persona($x);	
      											$k1 .= $oPer->imprimirPersona_format2().".; ";		  
 							};

					    $x = $this->_aAutors[$this->_inumAutors];
							$oPer = new Persona($x);	
							$k1 .= $oPer->imprimirPersona_format2().".: ";	
															
							
							if($this->__get('web') == NULL){
    							$k1 .= $this->__get('titolcapitol').". <em>".$this->__get('titolllibre').".</em> ".$this->__get('editorial');
    							$k1 .= ", ".$this->__get('volum').". p. ".$this->__get('pagincial')."-".$this->__get('pagfinal');
    							$k1 .= ". ".$this->__get('lloc')." (".$this->__get('any')."). ISBN: ". $this->__get('ISBN');
    					}else{
									$k1 .="<a href=\"".$this->__get('web')."\">";
    							$k1 .= $this->__get('titolcapitol').". <em>".$this->__get('titolllibre').".</em> ".$this->__get('editorial');
    							$k1 .= ", ".$this->__get('volum').". p. ".$this->__get('pagincial')."-".$this->__get('pagfinal');
    							$k1 .= ". ".$this->__get('lloc')." (".$this->__get('any')."). ISBN: ". $this->__get('ISBN')."</a>";
							}
							$k1 .= "</p>";
							return $k1;
				
				}
			 			 
			 /*
			 	 				actualitzarCapitol(). Actualitza un capitol de la base de dades			
			 */								 						 
						 
			 function actualitzarCapitol(){
			 
			 					Global $con;
								
								$this->UltimaMod = date("Y-m-d H:i:s");
								
								$sql =  "UPDATE capitol SET ";
  							$sql .= "titolcapitol = \"".$this->_aLlista['titolcapitol']."\", titolllibre = \" ".$this->_aLlista['titolllibre']."\", ";
								$sql .= "pagincial = ".$this->_aLlista['pagincial'].", pagfinal = ".$this->_aLlista['pagfinal'].", ";
								$sql .= "any = ".$this->_aLlista['any'].", editorial = \"".$this->_aLlista['editorial']."\", ";
								$sql .= "volum = \"".$this->_aLlista['volum']."\", lloc = \" ".$this->_aLlista['lloc']."\", ISBN = \" ".$this->_aLlista['ISBN']."\", ";
								$sql .= "du = \"".$this->UltimaMod."\", web = \"".$this->__get('web')."\" ";
								$sql .= "where idCapitol = ".$this->CapId ;
								
								realitzarConsulta($sql) or die("falla update");

								return True;
										 	
			 }			 
			 
			 /*
			 	 			  cargarcaptiol(). Privada. Carrega els valor del captol amb id a la llista de paramtres.
			 */			 
	 
			 private function cargarCapitol(){
			 				 
							 Global $con;
							 
							 $sql2  =  "SELECT persones.idPersona";
							 $sql2 .= " from persones, capitol, personacapitol";
               $sql2 .= " where capitol.idcapitol = personacapitol.idcapitol";
               $sql2 .= " and persones.idpersona = personacapitol.idpersona";
					     $sql2 .= " and capitol.idcapitol = ".$this->CapId ;
							 $sql2 .= " ORDER BY cognom1 ASC";					 			 			
							 						 
 							 $rst2 = realitzarConsulta($sql2) or die("falla consulta funcio llegirArticle Select Autors");	
							
							 $k1 = 0;
//							 while($fila2 = $rst2->fetch_assoc()){
							 while($fila2 = mysql_fetch_assoc($rst2)){
							 							$k1++;							 							
														foreach($fila2 as $col2){
																					 $this->_aAutors[$k1] = $col2;
														}
							 }							
							 $this->_inumAutors = $k1;	
							 	
							 $sql = "select * from capitol where idcapitol =".$this->CapId;
							 $rst = realitzarConsulta($sql);
							 $this->_aLlista = mysql_fetch_assoc($rst);							 
//							 $this->_aLlista = $rst->fetch_assoc();		
							 
			 }	
}
?>