<?php

require_once("/www/wub/tn/bib/clases/clPersona.php");

class Curs{

			// Classe Curs
			// clCurs.php
				
			private $_aLlista;
			private $CursID;
			private $_aAutors;
			private $_inumAutors;
			
			/*			Mtodes
			 *			Curs() // Constructor
			 *			__getID()
			 * 			__get($nv)
			 * 			__getCognoms()
			 *			__set($nv,$val)			 			
			 *			afegirCurs() 
			 *			esborrarCurs()
			 *			imprimirCurs()
			 *			actualitzarCurs()
			 *			llegirCurs()
			 */
			 
			 /*
			 	 			  Constructor. 
							  Parametres: Identificador de Curs,
							  per defecte = 0.
			 */			 
			 
			 function Curs($iCursID=0){

			 					$this->_aLlista = array();
								$this->_bDirty = False;
								
								if($iCursID <> 0){
															 $this->CursID = $iCursID;
															 $this->cargarCurs();
								}
								
			 }
			 
			 /*
			 	 				__getID(). Obt l'identificador de la classe.
			 */			 
			 
			 function __getID(){
			 					return $this->CursID;
			 }
			 
			 /*
			 	 				__get($nv). Obte el valor de la llista amb argument $nv.
			 */
			 			 
			 function __get($nv){
			 					if(isset($this->_aLlista[$nv])){
											return $this->_aLlista[$nv];
								}
								else{
										 return false;
								}
			 }


			 /*
			 	 				__getCognoms(). Obt la llista de cognoms dels autors.
			 */			 
			 
			 function __getCognoms(){

								return $this->_aCAutors;
			 }
			 
			 /*
			 	 			 __set($nv,$val). Posa el valor $val a la posici $nv
			 */			 
			 
			 function	 __set($nv,$val){
			 					 $this->_aLlista[$nv] = $val;
								 $this->_bDirty = True;
								 return True;
			 }
			 
			 /*
			 	 			 afegirCurs(). Introdueix el Curs a la base de dades
			 */
			 
			 function afegirCurs(){
			 					$this->UltimaMod = date("Y-m-d H:i:s");
								$this->DataCreacio = date("Y-m-d H:i:s");
								
								$sql = "INSERT INTO curs ";
								$sql .= "(nomcurs, any ) Values ";
  							$sql .= "(\"".$this->_aLlista['titol']."\",\"";
								$sql .= "".$this->_aLlista['any']."\")";
								$this->CursID = realitzarConsulta($sql,"ID");

								return True;
										 	
			 }
			 

			 /*
			 	 			 esborrarCurs(). Esborra un Curs de la base de dades			
			 */
			 			 
			 function esborrarCurs(){
			 					$sql = "DELETE FROM curs Where idCurs = ".$this->CursID;
								realitzarConsulta($sql) or die("falla delete Curs");
			 }
			 
			 /*
			 	 			 imprimirCurs(). Imprimeix la Curs en el format de la web 
			 */			 
			 
			 function imprimirCurs($k){
			 				  
								Global $con;
								
								$k1  = "<td class=cella_taula2>";
								$k1 .= $k.". ".$this->_aLlista['nomcurs'];
								$k1 .= "</td><td class=cella_taula2>";
								$k1 .= $this->_aLlista['any'];
								$k1 .= "</td><td class=cella_taula2>";
								
  					    for($i=1;$i<$this->_inumAutors;$i++){
  											    $x = $this->_aAutors[$i];
      											$oPer = new Persona($x);	
      											$k1 .= $oPer->imprimirPersona_format1().", ";		  
  						  };
								
								$x = $this->_aAutors[$this->_inumAutors];
							  $oPer = new Persona($x);	
							  $k1 .= $oPer->imprimirPersona_format1();
								$k1 .= "</td>";
								
								return $k1;
					
			 }
			 
			 /*
			 	 			 actualitzarCurs(). Actualitza un Curs de la base de dades			
			 */
			 			 
			 function actualitzarCurs(){
			 					$this->UltimaMod = date("Y-m-d H:i:s");
								
								$sql = "UPDATE curs SET ";
  							$sql .= "nomcurs = \"".$this->_aLlista['titol']."\",";
								$sql .= "any = \"".$this->_aLlista['any']."\"";
								$sql .= "where idCurs = ".$this->CursID;
								
								realitzarConsulta($sql) or die("falla update Curs");

								return True;
										 	
			 }


			/*
			 	 			 cargarCurs(). Privada. Carrega els valor del Curs amb id a la llista de paramtres.
			 */			 
				
			private function cargarCurs(){
			
							 Global $con;						
							 
							 $sql2  =  "SELECT persones.idpersona";
							 $sql2 .= " from persones, curs, personacurs";
               $sql2 .= " where curs.idcurs = personacurs.idcurs";
               $sql2 .= " and persones.idpersona = personacurs.idpersona";
					     $sql2 .= " and curs.idcurs = ".$this->CursID ;
							 $sql2 .= " ORDER BY cognom1 ASC";
							
							 $rst2 = realitzarConsulta($sql2) or die("falla consulta funcio llegirCurs Select Autors");	 
							 $k1 = 0;
							 while($fila2 = mysql_fetch_assoc($rst2)){
							 							$k1++;
														foreach($fila2 as $col2){
																					 $this->_aAutors[$k1] = $col2;
														}
							 }			
							 
							 $this->_inumAutors =  $k1;
														  				 
							 $sql = "SELECT * FROM curs WHERE idcurs = ".$this->CursID ;							 
							 $rst = realitzarConsulta($sql);							 
							 $this->_aLlista = mysql_fetch_assoc($rst);						 
			 }	
}
?>