<?php

		require_once("/www/wub/tn/bib/bases/eines.php");
		
class Persona{

			// Classe persona
			// clPersona.php
						
			private $_aLlista;
			private $PersonaID;
			
			/*			Mtodes
			 *			Persona() // Constructor
			 *			__getID()
			 * 			__get($nv)
			 * 			__getCognoms()
			 *			__set($nv,$val)			 			
			 *			afegirPersona() 
			 *			imprimirPersona()
			 *			actualitzarPersona()
			 *			llegirPersona()
			 */
			 
			 function Persona($iPersonaID=0){

			 					$this->_aLlista = array();
								
								if($iPersonaID <> 0){
															 $this->PersonaID = $iPersonaID;
															 $this->cargarPersona();
								}
								
			 }

			 /*
			 	 				__getID(). Obt l'identificador de la classe.
			 */
			 			 
			 function __getID(){
			 					return $this->PersonaID;
			 }
			 
			 /*
			 	 				__get($nv). Obte el valor de la llista amb argument $nv.
			 */
			 			 
			 function __get($nv){
			 					if(isset($this->_aLlista[$nv])){
											return $this->_aLlista[$nv];
								}
								else{
										 return false;
								}
			 }
			 
			 /*
			 	 			 __set($nv,$val). Posa el valor $val a la posici $nv
			 */
			 			 
			 function	 __set($nv,$val){			 
			 					 $this->_aLlista[$nv] = $val;
								 return True;
			 }

			 /*
			 	 			 afegirPersona(). Introdueix el Persona a la base de dades
			 */
			 			 
			 function afegirPersona(){
			 													
								$sql = "INSERT INTO persones ";
								$sql .= "(nom, cognom1, cognom2, telf, emailnick, emailext, membresia, web,  universitat) Values ";
  							$sql .= "(\"".$this->_aLlista['nom']."\",\"";
								$sql .= "".$this->_aLlista['cognom1']."\",\"".$this->_aLlista['cognom2']."\",\"";
								$sql .= "".$this->_aLlista['telf']."\",\"".$this->_aLlista['emailnick']."\",\"";
								$sql .= "".$this->_aLlista['emailext']."\",\"".$this->_aLlista['membre']."\",";
								$sql .= "\"".$this->_aLlista['web']."\", "."\"".$this->_aLlista['universitat']."\")";
								$this->PersonaID = realitzarConsulta($sql,"ID");

								return True;
										 	
			 }

			 /*
			 	 			 esborrarPersona(). Esborra un Persona de la base de dades			
			 */
			 			 
			 function esborrarPersona(){
			 
			 					$sql = "DELETE FROM persones WHERE idPersona = ".$this->PersonaID;
								realitzarConsulta($sql) or die("falla delete Persona");	
										 
			 }
			 
			 /*
			 	 			 imprimirPersona_format1(). Imprimeix la Persona en el format Nom Cognom 
			 */
			 
			 function imprimirPersona_format1(){
								 
							Global $con;
							$k1 = $this->_aLlista['nom']." ".$this->_aLlista['cognom1'];										
							return $k1;
				
				}
				
			 /*
			 	 			 imprimirPersona_format2(). Imprimeix la Persona en el format Cognom, N. 
			 */				
				
			 function imprimirPersona_format2(){
								 
							Global $con;
							$aux = $this->_aLlista['nom'];
							$k1 = $this->_aLlista['cognom1'].", ".$aux[0];										
							return $k1;
				
				}

			 /*
			 	 			 imprimirPersona_format3(). Imprimeix la Persona en el format Cognom, Nom 
			 */					
				
				function imprimirPersona_format3(){
								 
							Global $con;
							$k1 = $this->_aLlista['cognom1'].", ".$this->_aLlista['nom'];										
							return $k1;
				
				}

			 /*
			 	 			 imprimirPersona_format4(). Imprimeix la Persona en el format N. Cognom
			 */		
			 
				 function imprimirPersona_format4(){
								 
							Global $con;
							$k1 = $this->_aLlista['nom'][0].". ".$this->_aLlista['cognom1'];										
							return $k1;
				
				}

			 /*
			 	 			 imprimirPersona_format5(). Imprimeix la Persona en el format d'una taula 
			 */						
				
				function imprimirPersona_format5(){
								 
								 Global $con;
								 if($this->_aLlista['web'] != NULL){
								 								 $k1 = "\t\t<td class=cella_taula1 width='32%'><a href = ".$this->_aLlista['web'].">"; 
								 								 $k1 .= $this->_aLlista['nom']." ".$this->_aLlista['cognom1'];
																 $k1 .= "</a></td>";
								 }else{
								 			 					 $k1 = "\t\t<td class=cella_taula1 width='32%'>";
								 			 					 $k1 .= $this->_aLlista['nom']." ".$this->_aLlista['cognom1'];
																 $k1 .= "</td>";
								 }
								 $k1 .= "<td class=cella_taula2 width='32%'>".$this->_aLlista['telf']."</td>";
								 $k1 .= "<td class=cella_taula2 width='32%'>".$this->_aLlista['emailnick']." \at\ ".$this->_aLlista['emailext']."</td>";
								 
								 return $k1;								  
				
				}


			 /*
			 	 			 actualitzarPersona(). Actualitza un Persona de la base de dades			
			 */
			 			 			 
			 function actualitzarPersona(){
			 
			 					Global $con;
								
								$sql =  "UPDATE persones SET ";
  							$sql .= "nom = \"".$this->_aLlista['nom']."\", ";
								$sql .= "cognom1 = \"".$this->_aLlista['cognom1']."\", cognom2 = \"".$this->_aLlista['cognom2']."\", ";
								$sql .= "telf = \"".$this->_aLlista['telf']."\", emailnick = \"".$this->_aLlista['emailnick']."\",";
								$sql .= " emailext = \"".$this->_aLlista['emailext']."\", web = \"".$this->_aLlista['web']."\"";
								$sql .= " where idpersona = ".$this->PersonaID ;
								
								realitzarConsulta($sql) or die("falla update");

								return True;
										 	
			 }
			 
			 
			 private function cargarPersona(){
			
							 Global $con;			 			
							 			
							 $sql = "select * from persones where idpersona = ".$this->PersonaID ;							 
							 $rst = realitzarConsulta($sql) or die("falla consulta funcio llegirPersona Select Persona");							 
//							 $this->_aLlista = $rst->fetch_assoc();
							 $this->_aLlista = mysql_fetch_assoc($rst);					
							 

			}
}
?>